<ul class="dropdown-menu mega_menu">
    {% for category in categories %}
        {% if category.children %}
          <li class="dropdown cat_holder">
            <a href="{{ category.href }}" class="dropdown-toggle" data-toggle="dropdown">{{ category.name }}</a>
            <div class="dropdown-menu">
              <div class="dropdown-inner"> {% for children in category.children|batch(category.children|length / category.column|round(1, 'ceil')) %}
                  <ul class="list-unstyled">
                      {% for child in children %}
                        <li><a href="{{ child.href }}">{{ child.name }}</a></li>
                      {% endfor %}
                  </ul>
                  {% endfor %}</div>
              <a href="{{ category.href }}" class="see-all">{{ text_all }} {{ category.name }}</a> </div>
          </li>
        {% else %}
          <li class="cat_holder"><a href="{{ category.href }}">{{ category.name }}</a></li>
        {% endif %}
    {% endfor %}
</ul>